Subject: Uploaded resources get lost on validation errors
Description

If a resource is created through an upload (via ResourceTypeConverter) and a validation error occurs, there is currently no way of
retrieving the resource in the referring action (neither from the controller nor in Fluid).

One solution would be to always persist the ResourcePointer on creation and extend the ResourceTypeConverter so that it can
handle a serialized string that contains the Resource hash and required meta info (mime type, filename, ...)

Related issues:
related to Conference Management - Task # 26667: Fix Image Upload from plugin Resolved 2011-05-06
related to TYPO3.Flow - Bug # 25966: ResourcePointer breaks if you upload the... Resolved 2011-04-14
blocks Conference Management - Story # 26663: Solve FLOW3/Phoenix bugs for sp... Resolved 2011-05-06

Associated revisions
Revision 3fd0ed84 - 2011-05-19 11:55 - Sebastian Kurfuerst

[+BUGFIX] (Resource): Fix file upload

    -  ResourcePointer instances are now automatically created (or fetched)
  as soon as an image is uploaded.

    -  the ResourceTypeConverter can now build Resource objects which
  have been uploaded before.

Change-Id: Ibc6970524967d18fdab84639f7d53ddcf8c27c00
Related: #26667
Resolves: #25966
Resolves: #26886

History
#1 - 2011-05-19 11:54 - Sebastian Kurfuerst
- Status changed from New to Under Review
- Target version set to 1.0 beta 1
- % Done changed from 0 to 100

#2 - 2011-05-19 11:55 - Mr. Hudson

Patch set 2 of change Ibc6970524967d18fdab84639f7d53ddcf8c27c00 has been pushed to the review server.
It is available at http://review.typo3.org/2222
#3 - 2011-05-20 09:35 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved

Applied in changeset commit:3fd0ed84a2aa1162cac9af664565add23a280b67.
